using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using usbLan;
using System.IO;
using System.IO.Ports;
using System.Net.Sockets;
using System.Net;
using System.Net.NetworkInformation;

namespace TestDll
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            rbSW.Checked = true;

        }
        private void btContinue_Click(object sender, EventArgs e)
        {
            if(rbSW.Checked)
            {
                Form nextForm = new controlInterface.switchForm();
                nextForm.ShowDialog();
            }
            else if(rbAT.Checked)
            {
                Form nextForm = new controlInterface.attenuatorForm();
                nextForm.ShowDialog();
            }
            else if(rbPS.Checked)
            {
                Form nextForm = new controlInterface.phaseShifterForm();
                nextForm.ShowDialog();
            }
            else if(rbMAT.Checked)
            {
                Form nextForm = new controlInterface.multichannelAttenuatorForm();
                nextForm.ShowDialog();
            }
            else if(rbMPS.Checked)
            {
                Form nextForm = new controlInterface.multichannelPhaseShifterForm();
                nextForm.ShowDialog();
            }
            else { }
        }
    }

}
